#!/bin/sh
# *************************************************************************
# This script is used to set up your environment for SPECjAppServer running with
# WebLogic Server. 
#
# *************************************************************************

#SPARC_MODE=sparc64
SPARC_MODE=sparc32
#WL_HOME=$HOME/wls121/wlserver
WL_HOME=$HOME/wls103/wlserver_10.3
JAVA_HOME="/usr/java"
#JAVA_HOME="/export/home/VMs/jdk1.6.0_25"
# JROCKIT  JAVA_HOME=/home/spec/bea910ga/jrockit90_150_03
export WL_HOME JAVA_HOME

WL_DOMAIN=emulatordomain
WL_SERVER=emulatorserver
WL_SERVERIP=jasemulator
WL_SERVERPORT=7011
export WL_DOMAIN WL_SERVER WL_SERVERIP WL_SERVERPORT

WL_USER=system
WL_PW=weblogic
STARTMODE=true
export WL_USER WL_PW STARTMODE

#
if [ "${SPARC_MODE}" = "sparc64" ]; then
#JAVA_HOME=/export/VMs/jdk1.6.0_06
#JAVA_OPTIONS="-d64 -server -Xms32g -Xmx32g -Xmn800m -Xss256k -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=16 -XX:LargePageSizeInBytes=4m -XX:MaxTenuringThreshold=3 -XX:SurvivorRatio=20 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading -Dcom.sun.xml.namespace.QName.useCompatibleSerialVersionUID=1.0 -XX:PermSize=96m"
#
#JAVA_OPTIONS="-d64 -server -Xms16g -Xmx16g -Xmn12g -Xss256k -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=32 -XX:LargePageSizeInBytes=4m -XX:MaxTenuringThreshold=3 -XX:SurvivorRatio=20 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading -XX:PermSize=96m"

#JAVA_OPTIONS="-d64 -server -Xms16g -Xmx16g -Xmn12g -Xss256k -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=32 -XX:LargePageSizeInBytes=4m -XX:MaxTenuringThreshold=3 -XX:SurvivorRatio=20 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading -XX:PermSize=96m -XX:MaxPermSize=512M -XX:+UseCompressedOops"

# JDK6 update 11
JAVA_OPTIONS="-d64 -server -Xms16g -Xmx16g -Xmn12g -Xss256k -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=32 -XX:LargePageSizeInBytes=4m -XX:MaxTenuringThreshold=3 -XX:SurvivorRatio=20 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading -XX:PermSize=96m -XX:MaxPermSize=512M"

else
# 32-bit JVM
JAVA_OPTIONS="-server -Xms1700m -Xmx1700m -Xmn1g -Xss128k -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=16 -XX:LargePageSizeInBytes=4m -XX:MaxTenuringThreshold=3 -XX:SurvivorRatio=20 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading -XX:PermSize=96m"
#
# GC = UseConcMarkSweepGC
#JAVA_OPTIONS="-server -Xms3200m -Xmx3200m -Xmn2g -Xss128k -XX:+UseConcMarkSweepGC -XX:LargePageSizeInBytes=4m -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:-TraceClassUnloading"
fi

WL_OPTIONS="-Dweblogic.management.discover=false -Dweblogic.SocketReaders=4 -Dsun.net.inetaddr.ttl=0 -Dnetworkaddress.cache.ttl=0 "
export JAVA_OPTIONS WL_OPTIONS

# Check that the WebLogic classes are where we expect them to be
if [ ! -f "${WL_HOME}/server/lib/weblogic.jar" ]; then
  echo 
  echo "The WebLogic Server wasn't found in directory ${WL_HOME}/server."
  echo "Please edit the setEnv.sh script so that the WL_HOME"
  echo "variable points to the WebLogic installation directory."
  exit 2
fi

# Check that java is where we expect it to be
if [ ! -d "${JAVA_HOME}/bin" ]; then
  echo 
  echo "The JDK wasn't found in directory ${JAVA_HOME}."
  echo "Please edit the setEnv.sh script so that the JAVA_HOME"
  echo "variable points to the location of your JDK."
  exit 2
fi

# Try to increase file descriptors.
if [ ! -n "`uname -s |grep -i cygwin || uname -s |grep -i windows_nt || \
	    uname -s |grep -i HP-UX`" ]; then
 maxfiles=`ulimit -S -n`
 if [ "${maxfiles}" -lt 65536 ]; then
   ulimit -n 65536
 fi
 echo ulimit is `ulimit -n`
fi


# Figure out how to load java native libraries
case `uname -s` in
AIX)
  if [ -n "${LIBPATH}" ]; then
    LIBPATH=${LIBPATH}:${WL_HOME}/server/native/aix/ppc
  else
    LIBPATH=${WL_HOME}/server/native/aix/ppc
  fi
  export LIBPATH
;;
HP-UX)
  arch=`uname -m`
  if [ "${arch}" = "ia64" ]; then
    arch=IPF32
  else
    arch=PA_RISC
  fi
  if [ -n "${SHLIB_PATH}" ]; then
    SHLIB_PATH=${SHLIB_PATH}:${WL_HOME}/server/native/hpux11/${arch}:${WL_HOME}/server/native/hpux11/${arch}/oci920_8
  else
    SHLIB_PATH=${WL_HOME}/server/native/hpux11/${arch}:${WL_HOME}/server/native/hpux11/${arch}/oci920_8
  fi
  export SHLIB_PATH
;;
LINUX|Linux)
  arch=`uname -m`
  if [ "${arch}" = "x86_64" ]; then
    arch=i686
  fi
  if [ -n "${LD_LIBRARY_PATH}" ]; then
    LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${WL_HOME}/server/native/linux/${arch}:${WL_HOME}/server/native/linux/${arch}/oci920_8
  else
    LD_LIBRARY_PATH=${WL_HOME}/server/native/linux/${arch}:${WL_HOME}/server/native/linux/${arch}/oci920_8
  fi
  export LD_LIBRARY_PATH
;;
OSF1)
  if [ -n "${LD_LIBRARY_PATH}" ]; then
    LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${WL_HOME}/server/native/tru64unix
  else
    LD_LIBRARY_PATH=${WL_HOME}/server/native/tru64unix
  fi
  export LD_LIBRARY_PATH
;;
SunOS)
  arch=`uname -p`
  if [ "${arch}" = "i386" ]; then
    arch=x86
  fi
  if [ "$SPARC_MODE" = "sparc64" ]; then
    echo "Using 64-bit JVM"
    arch=sparc64
  fi
  if [ -n "${LD_LIBRARY_PATH}" ]; then
    LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${WL_HOME}/server/native/solaris/${arch}:${WL_HOME}/server/native/solaris/${arch}/oci920_8
  else
    LD_LIBRARY_PATH=${WL_HOME}/server/native/solaris/${arch}:${WL_HOME}/server/native/solaris/${arch}/oci920_8
  fi
  export LD_LIBRARY_PATH
;;
Windows_NT*)
  CLASSPATHSEP=\;
  PATHSEP=\;
;;
CYGWIN*)
  CLASSPATHSEP=\;
;;
*)
  echo "$0: Don't know how to set the shared library path for `uname -s`.  "
esac


if [ "${CLASSPATHSEP}" = "" ]; then
  CLASSPATHSEP=:
fi
if [ "${PATHSEP}" = "" ]; then
  PATHSEP=:
fi
export PATHSEP CLASSPATHSEP

CLASSPATH="${JAVA_HOME}/lib/tools.jar${CLASSPATHSEP}${WL_HOME}/server/lib/weblogic_sp.jar${CLASSPATHSEP}${WL_HOME}/server/lib/weblogic.jar${CLASSPATHSEP}${CLASSPATH}"
export CLASSPATH

# Set up PATH
if [ `uname -s` = "CYGWIN32/NT" ]; then
# If we are on an old version of Cygnus we need to turn <letter>:/ in the path
# to //<letter>/
  WL_HOME_CYGWIN=`echo $WL_HOME | sed 's#\([a-zA-Z]\):#//\1#g'`
  JAVA_HOME_CYGWIN=`echo $JAVA_HOME | sed 's#\([a-zA-Z]\):#//\1#g'`
  WL_USE_64BITDLL=
  if [ "${WL_USE_64BITDLL}" = "true" ]; then
    PATH="${WL_HOME_CYGWIN}/server/native/win/64${PATHSEP}${WL_HOME_CYGWIN}/server/bin${PATHSEP}${JAVA_HOME_CYGWIN}/jre/bin${PATHSEP}${JAVA_HOME_CYGWIN}/bin${PATHSEP}${PATH}${PATHSEP}${WL_HOME_CYGWIN}/server/native/win/64/oci920_8"
  else
    PATH="${WL_HOME_CYGWIN}/server/native/win/32${PATHSEP}${WL_HOME_CYGWIN}/server/bin${PATHSEP}${JAVA_HOME_CYGWIN}/jre/bin${PATHSEP}${JAVA_HOME_CYGWIN}/bin${PATHSEP}${PATH}${PATHSEP}${WL_HOME_CYGWIN}/server/native/win/32/oci920_8"
  fi
else
  if [ -n "`uname -s |grep -i cygwin_`" ]; then
  # If we are on an new version of Cygnus we need to turn <letter>:/ in
  # the path to /cygdrive/<letter>/
    CYGDRIVE=`mount -ps | tail -1 | awk '{print $1}' | sed -e 's%/$%%'`
    WL_HOME_CYGWIN=`echo $WL_HOME | sed "s#\([a-zA-Z]\):#${CYGDRIVE}/\1#g"`
    JAVA_HOME_CYGWIN=`echo $JAVA_HOME | sed "s#\([a-zA-Z]\):#${CYGDRIVE}/\1#g"`
    WL_USE_64BITDLL=
    if [ "${WL_USE_64BITDLL}" = "true" ]; then
      PATH="${WL_HOME_CYGWIN}/server/native/win/64${PATHSEP}${WL_HOME_CYGWIN}/server/bin${PATHSEP}${JAVA_HOME_CYGWIN}/jre/bin${PATHSEP}${JAVA_HOME_CYGWIN}/bin${PATHSEP}${PATH}${PATHSEP}${WL_HOME_CYGWIN}/server/native/win/64/oci920_8"
    else
      PATH="${WL_HOME_CYGWIN}/server/native/win/32${PATHSEP}${WL_HOME_CYGWIN}/server/bin${PATHSEP}${JAVA_HOME_CYGWIN}/jre/bin${PATHSEP}${JAVA_HOME_CYGWIN}/bin${PATHSEP}${PATH}${PATHSEP}${WL_HOME_CYGWIN}/server/native/win/32/oci920_8"
    fi
  else
  # set PATH for other shell environments
    PATH="${WL_HOME}/server/bin${PATHSEP}${JAVA_HOME}/jre/bin${PATHSEP}${JAVA_HOME}/bin${PATHSEP}${PATH}"
    # On Windows, include WebLogic jDriver in PATH
    if [ -n "`uname -s |grep -i windows_nt`" ]; then
      WL_USE_64BITDLL=
      if [ "${WL_USE_64BITDLL}" = "true" ]; then
        PATH="${WL_HOME}/server/native/win/64${PATHSEP}${PATH}${PATHSEP}${WL_HOME}/server/native/win/64/oci920_8"
      else
        PATH="${WL_HOME}/server/native/win/32${PATHSEP}${PATH}${PATHSEP}${WL_HOME}/server/native/win/32/oci920_8"
      fi
    fi
  fi
fi
export PATH

